Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - o -

- obtain() : Lucene::Lock
- OffsetAttribute() : Lucene::OffsetAttribute
- omitNorms() : Lucene::Field
- onCommit() : Lucene::IndexDeletionPolicy , Lucene::KeepOnlyLastCommitDeletionPolicy , Lucene::SnapshotDeletionPolicy
- OneMerge() : Lucene::OneMerge
- onInit() : Lucene::IndexDeletionPolicy , Lucene::KeepOnlyLastCommitDeletionPolicy , Lucene::SnapshotDeletionPolicy
- onOrAfter() : Lucene::LuceneVersion
- open() : Lucene::DirectoryReader , Lucene::FSDirectory , Lucene::IndexReader
- OpenBitSet() : Lucene::OpenBitSet
- OpenBitSetDISI() : Lucene::OpenBitSetDISI
- OpenBitSetIterator() : Lucene::OpenBitSetIterator
- openDocStores() : Lucene::SegmentReader
- openFiles() : Lucene::DocumentsWriter
- openInput() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::MMapDirectory , Lucene::RAMDirectory , Lucene::SimpleFSDirectory
- openNorms() : Lucene::SegmentReader
- operator bool() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS >
- operator!() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS >
- operator!=() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::Set< TYPE, LESS >
- operator<<() : Lucene::InfoStream , Lucene::InfoStreamFile , Lucene::InfoStreamNull , Lucene::InfoStreamOut
- operator=() : Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS >
- operator==() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::Set< TYPE, LESS >
- operator[]() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS >
- optimize() : Lucene::IndexWriter
- optimizeMergesPending() : Lucene::IndexWriter
- OrdFieldSource() : Lucene::OrdFieldSource

clucene.sourceforge.net